Системные требования

jqGridPHP работает на PHP 5.2 и выше.

Для взаимодействия с базой данных рекомендуется использовать PDO.
Вероятно, для корректной работы PDO вам потребуется подключить соответствующие библиотеки в php.ini. Подробнее здесь.

jqGridPHP активно использует наследование, абстрактные классы, исключения. Разработчик должен свободно ориентироваться в этих темах.
Также необходимо понимание базовых принципов работы javascript и jQuery.

Установка

jqGridPHP не требует специальных версий jqGrid.
Разработчики jqGrid стараются поддерживать обратную совместимость, поэтому должна подойти любая версия, начиная с 3.8.2

  1. Скачайте последнюю версию jqGridPHP с GitHub.
  2. Поместите содержимое папки php к вашим PHP-библиотекам
  3. Поместите содержимое папки client к JS и CSS файлам
  4. В PHP-коде подключите загрузчик таблиц


Установка завершена. Далее: Создание новой таблицы.

Пример установки

Рабочий пример приложения, использующего jqGridPHP, вы можете увидеть в папке examples.
В index.php происходит подключение и инициализация загрузчика. В templates/_layout.php можно увидеть порядок подключения JS и CSS файлов.


На других языках